petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetDefaultConstraints

Get the PetscSection and Mat the specify the local constraint interpolation. See DMSetDefaultConstraints() for a description of the purpose of constraint interpolation.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDefaultConstraints(DM dm, PetscSection *section, Mat *mat)

not collective

### Input Parameter

dm -The DM

### Output Parameter

| section | - The PetscSection describing the range of the constraint matrix: relates rows of the constraint matrix to dofs of the default section. Returns NULL if there are no local constraints.
| mat | - The Mat that interpolates local constraints: its width should be the layout size of the default section. Returns NULL if there are no local constraints.

Note: This gets borrowed references, so the user should not destroy the PetscSection or the Mat.

### See Also

DMSetDefaultConstraints()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages